Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.webservice
Interface SystemObjectBean

public interface SystemObjectBean

Interface for system object bean

Method Summary
`java.util.Date` | `getCreateDateTime()` Getter for create date time
`java.lang.String` | `getCreateFunction()` Getter for create function
`java.lang.String` | `getCreateUser()` Getter for create user
`java.lang.String` | `getLocalId()` Getter for local id
`java.lang.String` | `getStatus()` Getter for status
`java.lang.String` | `getSystemCode()` Getter for system code
`ObjectBean` | `pGetObjectBean()` Getter for ObjectBean
`SystemObject` | `pGetSystemObject()` Getter for system object
`void` | `setCreateDateTime(java.util.Date createdatetime)` Setter for create date time
`void` | `setCreateFunction(java.lang.String createfunction)` Setter for create function
`void` | `setCreateUser(java.lang.String createuser)` Setter for create user
`void` | `setLocalId(java.lang.String lid)` Setter for local id
`void` | `setStatus(java.lang.String status)` Setter for status
`void` | `setSystemCode(java.lang.String system)` Setter for system code
`void` | `setUpdateUser(java.lang.String updateuser)` Setter for update user

Method Detail

### getCreateDateTime

    public java.util.Date getCreateDateTime()
                                     throws ObjectException

  Getter for create date time

  Returns:
    Date create date time
  Throws:
    `ObjectException` - if error occures

### getCreateFunction

    public java.lang.String getCreateFunction()
                                       throws ObjectException

  Getter for create function

  Returns:
    String create function
  Throws:
    `ObjectException` - if error occures

### getCreateUser

    public java.lang.String getCreateUser()
                                   throws ObjectException

  Getter for create user

  Returns:
    String create user
  Throws:
    `ObjectException` - if error occures

### getLocalId

    public java.lang.String getLocalId()
                                throws ObjectException

  Getter for local id

  Returns:
    String lid
  Throws:
    `ObjectException` - if error occures

### getStatus

    public java.lang.String getStatus()
                               throws ObjectException

  Getter for status

  Returns:
    status of SystemObjectBean
  Throws:
    `ObjectException` - if error occures

### getSystemCode

    public java.lang.String getSystemCode()
                                   throws ObjectException

  Getter for system code

  Returns:
    String system code
  Throws:
    `ObjectException` - if error occures

### pGetObjectBean

    public ObjectBean pGetObjectBean()

  Getter for ObjectBean

  Returns:
    ObjectBean

### pGetSystemObject

    public SystemObject pGetSystemObject()

  Getter for system object

  Returns:
    system object

### setCreateDateTime

    public void setCreateDateTime(java.util.Date createdatetime)
                           throws ObjectException

  Setter for create date time

  Parameters:
    `createdatetime` - create date time
  Throws:
    `ObjectException` - if error occures

### setCreateFunction

    public void setCreateFunction(java.lang.String createfunction)
                           throws ObjectException

  Setter for create function

  Parameters:
    `createfunction` - create function
  Throws:
    `ObjectException` - if error occures

### setCreateUser

    public void setCreateUser(java.lang.String createuser)
                       throws ObjectException

  Setter for create user

  Parameters:
    `createuser` - create user
  Throws:
    `ObjectException` - if error occures

### setLocalId

    public void setLocalId(java.lang.String lid)
                    throws ObjectException

  Setter for local id

  Parameters:
    `lid` - LID
  Throws:
    `ObjectException` - if error occures

### setStatus

    public void setStatus(java.lang.String status)
                   throws ObjectException

  Setter for status

  Parameters:
    `status` - status
  Throws:
    `ObjectException` - if error occures

### setSystemCode

    public void setSystemCode(java.lang.String system)
                       throws ObjectException

  Setter for system code

  Parameters:
    `system` - system code
  Throws:
    `ObjectException` - if error occures

### setUpdateUser

    public void setUpdateUser(java.lang.String updateuser)
                       throws ObjectException

  Setter for update user

  Parameters:
    `updateuser` - update user
  Throws:
    `ObjectException` - if error occures

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.